Page MenuHomePhabricator

Update TestChangeProcessGroup to remove obsolete workaround.
ClosedPublic

Authored by chaoren on Sep 18 2015, 10:33 AM.

Diff Detail

Event Timeline

chaoren retitled this revision from to Fix TestChangeProcessGroup to properly step out of sleep..
chaoren updated this object.
chaoren added a reviewer: labath.
chaoren added a subscriber: lldb-commits.

Remove old line.

I thought this was supposed to be fixed, but TestChangeProcessGroup, TestExpressionInSyscall, and TestRegisters just started failing for me recently because of this.

labath edited edge metadata.Sep 18 2015, 12:10 PM

We have been looking into these failures also, and the cause is the recent changes, which make it impossible to evaluate c(++) expression in assembly language frames (see D12962). This is not the purpose of this test, but I don't think we should work around it as I believe a simple expression as "var = 1" should work regardless of the selected frame. I'd like to wait on the comments on the aforementioned patch before we put this in.

(I wouldn't be opposed to temporarily XFAILing the failing tests, so they don't bother anyone running the test suite)

I committed in the fix mentioned by Pavel as rL248146

Do we still need the original stepInstruction?

chaoren edited edge metadata.

Remove existing workaround.

chaoren retitled this revision from Fix TestChangeProcessGroup to properly step out of sleep. to Update TestChangeProcessGroup to remove obsolete workaround..Sep 21 2015, 1:58 PM
labath accepted this revision.Sep 22 2015, 12:06 AM
labath edited edge metadata.

That shouln't be needed anymore, thanks.

This revision is now accepted and ready to land.Sep 22 2015, 12:06 AM
This revision was automatically updated to reflect the committed changes.